更新linux时候提示无法“由于没有公钥,无法验证下列签名 ***”的解决方案

新安装的Ubuntu在使用sudo apt-get update更新源码的时候出现如下错误:

	GPG 错误:http://ppa.launchpad.net precise Release: 由于没有公钥,无法验证下列签名: NO_PUBKEY 3EE66BD3F599ACE3

解决方法很简单,下载导入公钥就行,下载导入key的命令如下:

	sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6AF0E1940624A220 #此处6AF0E1940624A220需要是错误提示的key

重新执行:sudo apt-get update可以顺利进行更新了。

文章内容参考自:sanbo110